## name.milesparker.epi.region
Class Region

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.ascape.model.Scape
                              name.milesparker.epi.region.Region

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, ControlListener, ScapeListener, Location, Node, SpaceContext, HasName, RandomFunctions, IGraphicsAdapted

Direct Known Subclasses:
  EpidemicPeriods, Region3D

    public class Region

extends Scape
implements IGraphicsAdapted

Region Java Implementation. Generated by AMF for model: EpidemicRegional.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.ascape.model.Scape
`Scape.ConditionalIterator, Scape.DrawFeatureObservable`

Field Summary

Fields inherited from class org.ascape.model.Scape
`AGENT_ORDER, agentsPerIteration, ALL_AGENTS, CLEAR_STATS_RULE, COLLECT_STATS_RULE, COMPARE_ORDERED_QUALIFIERS, COMPLETE_TOUR, copyrightAndCredits, CREATE_GRAPHIC_VIEW_RULE, CREATE_RULE, CREATE_SCAPE_RULE, CREATE_VIEW_RULE, EXECUTE_RULES_RULE, INITIAL_RULES_RULE, initialRules, prototypeAgent, REPEATED_DRAW, RULE_ORDER, version`

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`Region()` Constructs a new Region.

Method Summary
`void` `calculateTimeStep(int timeStep)`
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`protected void` `create2DViews()`
`protected void` `createChartViews()`
`protected City` `createCityPrototype()` Create an instance of City that will be used to populate the cityScape.
`void` `createGraphicViews()` Creates UI views for Region.
`protected void` `createGraphViews()`
`void` `createScape()` Creates the members of Region.
`double` `getCaseMortalityRate()` Gets the Case Mortality Rate property for Region.
`java.util.List<IAgentChild>` `getChildren()`
`int` `getCityCount()` Gets the City Count property for Region.
`Scape` `getCityScape()` Returns the Scape containing Citys.
`IGraphicsAdapter` `getGraphicsAdapter()`
`double` `getInitialInfectionProbability()` Gets the Initial Infection Probability property for Region.
`double` `getMaxContactTransmissionProbability()` Gets the Max Contact Transmission Probability property for Region.
`int` `getMaxPeriodAsymptomInfection()` Gets the Max Period Asymptom Infection property for Region.
`int` `getMaxPeriodExposure()` Gets the Max Period Exposure property for Region.
`int` `getMaxPeriodSymptomInfection()` Gets the Max Period Symptom Infection property for Region.
`double` `getMigrationProbability()` Gets the Migration Probability property for Region.
`double` `getMinContactTransmissionProbability()` Gets the Min Contact Transmission Probability property for Region.
`int` `getMinPeriodAsymptomInfection()` Gets the Min Period Asymptom Infection property for Region.
`int` `getMinPeriodExposure()` Gets the Min Period Exposure property for Region.
`int` `getMinPeriodSymptomInfection()` Gets the Min Period Symptom Infection property for Region.
`double` `getMovementProbability()` Gets the Movement Probability property for Region.
`java.lang.String` `getName()`
`int` `getRegionalLocationCount()` Gets the Regional Location Count property for Region.
`Scape` `getRegionalMap()` Gets the Regional Map property for Region.
`int[]` `getRegionalMapDimensions()` Gets the Dimensions property for Regional Map.
`int` `getRegionalMapHeight()` Gets the Height property for Regional Map.
`int` `getRegionalMapWidth()` Gets the Width property for Regional Map.
`long` `getUID()`
`boolean` `isInitialCityAssigned()` Gets the Initial City Assigned property for Region.
`static void` `main(java.lang.String[] args)`
`void` `scapeSetup(ScapeEvent scapeEvent)`
`void` `setCaseMortalityRate(double _caseMortalityRate)` Sets the Case Mortality Rate property for Region.
`void` `setCityCount(int _cityCount)` Sets the City Count property for Region.
`void` `setInitialCityAssigned(boolean _initialCityAssigned)` Sets the Initial City Assigned property for Region.
`void` `setInitialInfectionProbability(double _initialInfectionProbability)` Sets the Initial Infection Probability property for Region.
`void` `setMaxContactTransmissionProbability(double _maxContactTransmissionProbability)` Sets the Max Contact Transmission Probability property for Region.
`void` `setMaxPeriodAsymptomInfection(int _maxPeriodAsymptomInfection)` Sets the Max Period Asymptom Infection property for Region.
`void` `setMaxPeriodExposure(int _maxPeriodExposure)` Sets the Max Period Exposure property for Region.
`void` `setMaxPeriodSymptomInfection(int _maxPeriodSymptomInfection)` Sets the Max Period Symptom Infection property for Region.
`void` `setMigrationProbability(double _migrationProbability)` Sets the Migration Probability property for Region.
`void` `setMinContactTransmissionProbability(double _minContactTransmissionProbability)` Sets the Min Contact Transmission Probability property for Region.
`void` `setMinPeriodAsymptomInfection(int _minPeriodAsymptomInfection)` Sets the Min Period Asymptom Infection property for Region.
`void` `setMinPeriodExposure(int _minPeriodExposure)` Sets the Min Period Exposure property for Region.
`void` `setMinPeriodSymptomInfection(int _minPeriodSymptomInfection)` Sets the Min Period Symptom Infection property for Region.
`void` `setMovementProbability(double _movementProbability)` Sets the Movement Probability property for Region.
`void` `setRegionalLocationCount(int _regionalLocationCount)` Sets the Regional Location Count property for Region.
`void` `setRegionalMap(Scape _regionalMap)` Sets the Regional Map property for Region.
`void` `setRegionalMapDimensions(int[] _regionalMapDimensions)` Sets the Dimensions property for Regional Map.
`void` `setRegionalMapHeight(int _regionalMapHeight)` Sets the Height property for Regional Map.
`void` `setRegionalMapWidth(int _regionalMapWidth)` Sets the Width property for Regional Map.
`void` `startSimulationAgentChild(int timeStep)`

Methods inherited from class org.ascape.model.Scape

`add, add, add, add, addAll, addDrawFeature, addInitialRule, addInitialRule, addRule, addRule, addScapeListener, addScapeListenerFirst, addStatCollector, addStatCollectorIfNew, addStatCollectors, addView, addView, addView, addViews, addViews, addViews, assignParameters, assignParameters, calculateDistance, calculateDistance, clear, construct, contains, containsAll, contentsToString, countWithin, createNonGraphicViews, createSelfView, createViews, createViews, environmentQuiting, execute, execute, executeOnMembers, executeOnMembers, executeOnMembers, executeOnMembers, executeOnRoot, executeOnRoot, find, findMaximum, findMaximum, findMaximumWithin, findMinimum, findMinimum, findMinimumWithin, findNearest, findRandom, findRandom, findRandom, findRandomCoordinate, findWithin, get, get, getAgentsPerIteration, getAllScapes, getCollectStats, getData, getDescription, getDrawFeatures, getDrawFeaturesObservable, getEnvironment, getExecutionOrder, getExecutionStyle, getExtent, getHome, getHTMLDescription, getInitialRules, getIteration, getIterationsPerRedraw, getModel, getPausePeriod, getPeriod, getPeriodDescription, getPeriodName, getPrototype, getPrototypeAgent, getRoot, getRules, getRunner, getScapeListeners, getSize, getSpace, getStartPeriod, getStatCollectors, getStopPeriod, getSuperScape, getThreadCount, getUIEnvironment, getUserEnvironment, hasWithin, initialize, isAllViewsUpdated, isAutoCreate, isCellsRequestUpdates, isEmpty, isGraphic, isHome, isLifeOfScape, isListenersAndMembersCurrent, isMembersActive, isMutable, isPaused, isPeriodic, isPopulateOnCreate, isRoot, isRunning, isScapeListener, isSerializable, isStartOnOpen, isUpdateNeeded, isValidPeriod, isViewSelf, iterator, listenerOrMemberUpdated, listenerUpdated, memberUpdated, moveAway, moveToward, newAgent, newAgent, notifyViews, notifyViews, populate, remove, remove, removeAll, removeDrawFeature, removeScapeListener, respondControl, respondDrawFeature, retainAll, retrieveAllAccessors, retrieveAllAccessorsOrdered, retrieveModelAccessorsOrdered, save, save, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeIterator, scapeIterator, scapeIterators, scapeNotification, scapeRandomIterator, scapeRemoved, scapeStarted, scapeStopped, search, searchMax, searchMin, set, set, set, set, setAgentsPerIteration, setAutoCreate, setAutoRestart, setCellsRequestUpdates, setCollectStats, setCollectStats, setDescription, setEarliestPeriod, setExecutionOrder, setExecutionStyle, setExtent, setExtent, setExtent, setHome, setHTMLDescription, setInitialRules, setIterationsPerRedraw, setIterationsPerRedraw, setLatestPeriod, setMembersActive, setPaused, setPausePeriod, setPeriodic, setPeriodName, setPopulateOnCreate, setPrototypeAgent, setRunner, setRunning, setSerializable, setSize, setSpace, setStartOnOpen, setStartPeriod, setStopPeriod, setSuperScape, setThreadCount, setViewSelf, size, toArray, toArray, toString, withinIterator`

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getPlatformColor, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Methods inherited from interface org.ascape.model.event.ScapeListener
`getScape`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### Region

    public Region()

  Constructs a new Region.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `ScapeListener`
  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `Scape`
  Returns:
    the object

### createCityPrototype

    protected City createCityPrototype()

  Create an instance of City that will be used to populate the cityScape. Overide to customize the prototype, for example to change the views created for a member scape.

### createScape

    public void createScape()

  Creates the members of Region.

  Overrides:
    `createScape` in class `Scape`
  See Also:
    `Scape.setPopulateOnCreate(boolean)`

### createGraphicViews

    public void createGraphicViews()

  Creates UI views for Region.

  Overrides:
    `createGraphicViews` in class `Scape`

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `Scape`
  Parameters:
    `scapeEvent` - the associated scape event

### getCityScape

    public Scape getCityScape()

  Returns the Scape containing Citys.

### createChartViews

    protected void createChartViews()

### create2DViews

    protected void create2DViews()

### createGraphViews

    protected void createGraphViews()

### getGraphicsAdapter

    public IGraphicsAdapter getGraphicsAdapter()

  Specified by:
    `getGraphicsAdapter` in interface `IGraphicsAdapted`

### main

    public static void main(java.lang.String[] args)

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### getCityCount

    public int getCityCount()

  Gets the City Count property for Region.

  Returns:
    The number of citys to create.

### setCityCount

    public void setCityCount(int _cityCount)

  Sets the City Count property for Region. The number of citys to create.

  Parameters:
    `_cityCount` - the new City Count value

### getInitialInfectionProbability

    public double getInitialInfectionProbability()

  Gets the Initial Infection Probability property for Region.

  Returns:
    The probability that any given individual will be infected at the beginning of the model run. For example, if this value is .15, and their are 100 individuals in the model, roughly 15 of those individuals will be infected at time 0.

### setInitialInfectionProbability

    public void setInitialInfectionProbability(double _initialInfectionProbability)

  Sets the Initial Infection Probability property for Region. The probability that any given individual will be infected at the beginning of the model run. For example, if this value is .15, and their are 100 individuals in the model, roughly 15 of those individuals will be infected at time 0.

  Parameters:
    `_initialInfectionProbability` - the new Initial Infection Probability value

### getMinContactTransmissionProbability

    public double getMinContactTransmissionProbability()

  Gets the Min Contact Transmission Probability property for Region.

  Returns:
    The probability that proximity to a single neighbor for a single period will result in transmission of infection.

### setMinContactTransmissionProbability

    public void setMinContactTransmissionProbability(double _minContactTransmissionProbability)

  Sets the Min Contact Transmission Probability property for Region. The probability that proximity to a single neighbor for a single period will result in transmission of infection.

  Parameters:
    `_minContactTransmissionProbability` - the new Min Contact Transmission Probability value

### getMaxContactTransmissionProbability

    public double getMaxContactTransmissionProbability()

  Gets the Max Contact Transmission Probability property for Region.

  Returns:
    The probability that proximity to a single neighbor for a single period will result in transmission of infection.

### setMaxContactTransmissionProbability

    public void setMaxContactTransmissionProbability(double _maxContactTransmissionProbability)

  Sets the Max Contact Transmission Probability property for Region. The probability that proximity to a single neighbor for a single period will result in transmission of infection.

  Parameters:
    `_maxContactTransmissionProbability` - the new Max Contact Transmission Probability value

### getCaseMortalityRate

    public double getCaseMortalityRate()

  Gets the Case Mortality Rate property for Region.

  Returns:
    The probability that death will occur for a given individual as a result of infection.

### setCaseMortalityRate

    public void setCaseMortalityRate(double _caseMortalityRate)

  Sets the Case Mortality Rate property for Region. The probability that death will occur for a given individual as a result of infection.

  Parameters:
    `_caseMortalityRate` - the new Case Mortality Rate value

### getMinPeriodExposure

    public int getMinPeriodExposure()

  Gets the Min Period Exposure property for Region.

  Returns:
    Minimum time from initial exposure to infectious asymptomatic or symptomatic state. 0 or greater.

### setMinPeriodExposure

    public void setMinPeriodExposure(int _minPeriodExposure)

  Sets the Min Period Exposure property for Region. Minimum time from initial exposure to infectious asymptomatic or symptomatic state. 0 or greater.

  Parameters:
    `_minPeriodExposure` - the new Min Period Exposure value

### getMaxPeriodExposure

    public int getMaxPeriodExposure()

  Gets the Max Period Exposure property for Region.

  Returns:
    Maximum time from initial exposure to infectious asymptomatic or symptomatic state. 0 or greater.

### setMaxPeriodExposure

    public void setMaxPeriodExposure(int _maxPeriodExposure)

  Sets the Max Period Exposure property for Region. Maximum time from initial exposure to infectious asymptomatic or symptomatic state. 0 or greater.

  Parameters:
    `_maxPeriodExposure` - the new Max Period Exposure value

### getMinPeriodAsymptomInfection

    public int getMinPeriodAsymptomInfection()

  Gets the Min Period Asymptom Infection property for Region.

  Returns:
    Maximum time spent infected without showing symptoms. 0 or greater.

### setMinPeriodAsymptomInfection

    public void setMinPeriodAsymptomInfection(int _minPeriodAsymptomInfection)

  Sets the Min Period Asymptom Infection property for Region. Maximum time spent infected without showing symptoms. 0 or greater.

  Parameters:
    `_minPeriodAsymptomInfection` - the new Min Period Asymptom Infection value

### getMaxPeriodAsymptomInfection

    public int getMaxPeriodAsymptomInfection()

  Gets the Max Period Asymptom Infection property for Region.

  Returns:
    Maximum time spent infected without showing symptoms. May be zero!

### setMaxPeriodAsymptomInfection

    public void setMaxPeriodAsymptomInfection(int _maxPeriodAsymptomInfection)

  Sets the Max Period Asymptom Infection property for Region. Maximum time spent infected without showing symptoms. May be zero!

  Parameters:
    `_maxPeriodAsymptomInfection` - the new Max Period Asymptom Infection value

### getMinPeriodSymptomInfection

    public int getMinPeriodSymptomInfection()

  Gets the Min Period Symptom Infection property for Region.

  Returns:
    Minimum time spent infected with obvious symptoms. 0 or greater.

### setMinPeriodSymptomInfection

    public void setMinPeriodSymptomInfection(int _minPeriodSymptomInfection)

  Sets the Min Period Symptom Infection property for Region. Minimum time spent infected with obvious symptoms. 0 or greater.

  Parameters:
    `_minPeriodSymptomInfection` - the new Min Period Symptom Infection value

### getMaxPeriodSymptomInfection

    public int getMaxPeriodSymptomInfection()

  Gets the Max Period Symptom Infection property for Region.

  Returns:
    Maximum time spent infected with obvious symptoms. 1 or greater.

### setMaxPeriodSymptomInfection

    public void setMaxPeriodSymptomInfection(int _maxPeriodSymptomInfection)

  Sets the Max Period Symptom Infection property for Region. Maximum time spent infected with obvious symptoms. 1 or greater.

  Parameters:
    `_maxPeriodSymptomInfection` - the new Max Period Symptom Infection value

### getMovementProbability

    public double getMovementProbability()

  Gets the Movement Probability property for Region.

  Returns:
    The liklihood that an agent will move within a given period.

### setMovementProbability

    public void setMovementProbability(double _movementProbability)

  Sets the Movement Probability property for Region. The liklihood that an agent will move within a given period.

  Parameters:
    `_movementProbability` - the new Movement Probability value

### getMigrationProbability

    public double getMigrationProbability()

  Gets the Migration Probability property for Region.

  Returns:

### setMigrationProbability

    public void setMigrationProbability(double _migrationProbability)

  Sets the Migration Probability property for Region.

  Parameters:
    `_migrationProbability` - the new Migration Probability value

### getRegionalLocationCount

    public int getRegionalLocationCount()

  Gets the Regional Location Count property for Region.

  Returns:
    The number of regional locations to create.

### setRegionalLocationCount

    public void setRegionalLocationCount(int _regionalLocationCount)

  Sets the Regional Location Count property for Region. The number of regional locations to create.

  Parameters:
    `_regionalLocationCount` - the new Regional Location Count value

### isInitialCityAssigned

    public boolean isInitialCityAssigned()

  Gets the Initial City Assigned property for Region.

  Returns:

### setInitialCityAssigned

    public void setInitialCityAssigned(boolean _initialCityAssigned)

  Sets the Initial City Assigned property for Region.

  Parameters:
    `_initialCityAssigned` - the new Initial City Assigned value

### getRegionalMapDimensions

    public int[] getRegionalMapDimensions()

  Gets the Dimensions property for Regional Map.

  Returns:
    The size of each dimension.

### setRegionalMapDimensions

    public void setRegionalMapDimensions(int[] _regionalMapDimensions)

  Sets the Dimensions property for Regional Map. The size of each dimension.

  Parameters:
    `_regionalMapDimensions` - the new Dimensions value

### getRegionalMapWidth

    public int getRegionalMapWidth()

  Gets the Width property for Regional Map.

  Returns:
    The horizontal extent of the space.

### setRegionalMapWidth

    public void setRegionalMapWidth(int _regionalMapWidth)

  Sets the Width property for Regional Map. The horizontal extent of the space.

  Parameters:
    `_regionalMapWidth` - the new Width value

### getRegionalMapHeight

    public int getRegionalMapHeight()

  Gets the Height property for Regional Map.

  Returns:
    The vertical extent of the space.

### setRegionalMapHeight

    public void setRegionalMapHeight(int _regionalMapHeight)

  Sets the Height property for Regional Map. The vertical extent of the space.

  Parameters:
    `_regionalMapHeight` - the new Height value

### getRegionalMap

    public Scape getRegionalMap()

  Gets the Regional Map property for Region.

  Returns:

### setRegionalMap

    public void setRegionalMap(Scape _regionalMap)

  Sets the Regional Map property for Region.

  Parameters:
    `_regionalMap` - the new Regional Map value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SpaceContext`
  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `Scape`
  Returns:
    the name